Runtime

## org.eclipse.gmf.runtime.common.ui.services.parser
Interface IParserProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  ParserService

public interface IParserProvider
extends IProvider

The interface for all parser providers Must implement a method to return a parser from an IAdaptable hint

Method Summary
`IParser` `getParser(IAdaptable hint)` Method getParser.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getParser

    public IParser getParser(IAdaptable hint)

  Method getParser.

  Parameters:
    `hint` - IAdaptable hint used to determine the parser to return
  Returns:
    IParser corresponding to the IAdaptable hint

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.